
package ejerciciosgenericos;

import java.util.ArrayList;
import java.util.Iterator;

public class ArrayListGenerico<T> {
    
    private ArrayList<T> arrayList = new ArrayList();
    
    public void nuevoObjetoALista(T objeto) {
       arrayList.add(objeto);
    }

    @Override
    public String toString() {
        StringBuffer cadenasAcumuladas = new StringBuffer();
               
        Iterator<T> iterator = arrayList.iterator();
        while (iterator.hasNext()) {           
            cadenasAcumuladas.append( (iterator.next()).toString()+ "\n");
        }
        
        return new String(cadenasAcumuladas);
    }
}
